Class | YAML::PrivateType
In: | syck/rubyext.c
Parent: | Object

### Methods

new

### Public Class methods

new(p1, p2)

YAML::PrivateType.initialize

[Source]

    /*
     * YAML::PrivateType.initialize
     */
    VALUE
    syck_privatetype_initialize( self, type_id, val )
        VALUE self, type_id, val;
    {
        rb_iv_set( self, "@type_id", type_id );
        rb_iv_set( self, "@value", val );
        return self;
    }

[Validate]